"""
DO NOT EDIT THIS FILE!!
This file is automatically generated by the process_schemas.py program
in the scripts directory. It is not intended to be edited directly. If
you need to update the GEL protocol classes, please run the script
on the appropriate schema version.
"""
from protocols.protocol import (
    ProtocolElement,
    avro_parse,
    load_schema,
)


class ReadStats(ProtocolElement):
    """
    No documentation
    """

    # load schema from file
    _schemaSource = load_schema(__file__)
    # parse into avro classes
    schema = avro_parse(_schemaSource)

    requiredFields = {}

    @classmethod
    def getEmbeddedTypes(cls):
        return {}

    @classmethod
    def getEmbeddedEnums(cls):
        return {}

    @classmethod
    def getEmbeddedByNamespace(cls):
        # import here to prevent circular imports in python 2.7.
        from protocols.protocol_5_0_0 import ga4gh as ga4gh_3_0_0

        return {
            "org.ga4gh.models.ReadStats": ga4gh_3_0_0.ReadStats,
        }

    __slots__ = [
        "alignedReadCount",
        "baseCount",
        "unalignedReadCount",
    ]

    def __init__(
        self,
        alignedReadCount=None,
        baseCount=None,
        unalignedReadCount=None,
        validate=None,
        **kwargs
    ):
        """Initialise the ga4gh_3_0_0.ReadStats model.

        :param alignedReadCount:
            The number of aligned reads.
        :type alignedReadCount: None | int
        :param baseCount:
            The total number of bases.   This is equivalent to the sum of
            `alignedSequence.length` for all reads.
        :type baseCount: None | int
        :param unalignedReadCount:
            The number of unaligned reads.
        :type unalignedReadCount: None | int
        """

        attributes = {k: v for k, v in locals().items() if k not in ["self", "unknown"]}
        ProtocolElement.__init__(self, **attributes)

    @classmethod
    def _namespace_version(cls):
        return "3.0.0"
